# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'afgor/ui/version'

Gem::Specification.new do |spec|
  spec.name          = "afgor-ui"
  spec.version       = Afgor::Ui::VERSION
  spec.authors       = ["Markus Benovsky"]
  spec.email         = ["markus@afgor.com"]

  spec.summary       = %q{A simple framework by afgor.com}
  spec.description   = %q{Created for designing web apps and websites. Has some nice effects and is fully flat
                          (https://github.com/MarkusBansky/afgor-framework/tree/ruby-package)}
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }  + %w(LICENSE.txt README.md)
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_rubygems_version = ">= 1.3.6"

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
end
